%define base_name	kdemoreartwork
%define theme_name	knifty
%define name		%{base_name}-%{theme_name}
%define version		0.4.1
%define release		1mdk
%define summary		Knifty kwinstyle for KDE

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		%{summary}
License:		GPL
Group:			Graphical desktop/KDE
Source:			%{theme_name}-%{version}.tar.bz2
URL:			http://kde-look.org/content/show.php?content=7290	
BuildRequires:		kdelibs-devel
BuildRequires:		kdebase-devel
BuildRequires:		libpng-devel , libjpeg62-devel
BuildRequires:		libqt3-devel
BuildRoot:		%{_tmppath}/%{name}-buildroot

%description
Native Kwin window decoration for KDE 3.x

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{theme_name}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
./configure  --prefix=%{_prefix} --libdir=%_libdir --mandir=%_mandir --disable-debug --disable-rpath --enable-final --disable-warnings
%make

%install
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_libdir}/kde3/kwin3_%{theme_name}*
%{_datadir}/apps/kwin/%{theme_name}.desktop
%_libdir/kde3/kwin_knifty_config.la
%_libdir/kde3/kwin_knifty_config.so

%changelog
* Mon Jan 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.1-1mdk
- 0.4.1

* Wed Aug 27 2003 Laurent Culioli <laurent@pschit.net> 0.3.4-2mdk
- requires

* Mon Aug 25 2003 Laurent Culioli <laurent@pschit.net> 0.3.4-1mdk
- initial release

